For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create team

This endpoint creates a new team for an organization. It allows specifying team details, company information, and business settings to organize advertising campaigns and manage user access.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint creates a new team for an organization. It allows specifying team details, company information, and business settings to organize advertising campaigns and manage user access."

Create team

Create team

post
Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

The created team

application/json
post/v2/teams
POST /v2/teams HTTP/1.1
Host: auth.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 554

{
  "team": {
    "businessIdentifier": "biz_AB12345",
    "companyAddress": {
      "addressLine": "123 Main St",
      "postcode": "12345"
    },
    "companyName": "Innovative Solutions Ltd.",
    "companyPhone": "+1-234-567-8901",
    "companyType": "COMPANY_TYPE_RETAILER",
    "companyWebsite": "https://www.innovativesolutions.com",
    "industryType": "INDUSTRY_TYPE_GROCERY",
    "logoId": "logo_567XYZ",
    "name": "Development Team",
    "namespaceId": "namespace_ABC123",
    "onBehalfOf": "Ad Sponsor Ltd.",
    "reviewerEmail": "reviewer@innovativesolutions.com",
    "sellerId": "seller_990XYZ",
    "userIds": [
      "user_001",
      "user_002",
      "user_003"
    ]
  }
}
{
  "team": {
    "businessIdentifier": "biz_AB12345",
    "companyAddress": {
      "addressLine": "123 Main St",
      "postcode": "12345"
    },
    "companyName": "Innovative Solutions Ltd.",
    "companyPhone": "+1-234-567-8901",
    "companyType": "COMPANY_TYPE_RETAILER",
    "companyWebsite": "https://www.innovativesolutions.com",
    "id": "team_001XYZ",
    "industryType": "INDUSTRY_TYPE_GROCERY",
    "logoId": "logo_567XYZ",
    "modifyTime": "2024-02-14T23:45:01Z",
    "name": "Development Team",
    "namespaceId": "namespace_ABC123",
    "onBehalfOf": "Ad Sponsor Ltd.",
    "reviewerEmail": "reviewer@innovativesolutions.com",
    "sellerId": "seller_990XYZ",
    "userIds": [
      "user_001",
      "user_002",
      "user_003"
    ]
  }
}